/**
 @file 
 Test file
 
 Intention of the xrefitem stuff:
 Each access to a global variable (var1) is documented, and on the page 
 relating to var1, a list of accesses gives an overview.
 
 Without grouping, the var1 documentation page will be accessible under
 'Related Pages' and named as html/var1.html. 
 
 The links generated in the 'main()' documentation refering to
 the "Global Variables" point to html/var1.html#_var1000002 which works fine.
 
 If grouping is used, the var1 page is accessible under 'Modules' and named as
 html/group__var1.html. But, the links generated in the 'main()' documentation
 still point to html/var1.html#_var1000002, although the html page var1.html
 is not generated. This results in a broken link for the 'Global Variables:'
 hyperlinks in the documentation of main().
*/

// If you disable the following defgroup / page stuff, links work.
/**
\defgroup globalvars Global Variables

\page     var1  Usage of var1
\ingroup  var1

\defgroup var1 var1 
\ingroup  globalvars
*/

/** 
  \xrefitem var1 "Global Variables" "unused_text_for_xrefitem"
  #var1 is initialized to -1 at startup
*/

int var1 = -1;


/*---------------------------------------------------------------------------*/
/**
 \brief Test function

 \param argc      number of arguments
 \param argv      parameter array
 \return          error code
*/

int main (int argc, char* argv[])
{
        /**
        \xrefitem var1 "Global Variables" "unused_text_for_xrefitem"
        #var1 is set to 42
        */
        var1 = 42;

        /**
        \xrefitem var1 "Global Variables" "unused_text_for_xrefitem"
        #var1 is returned at the exit of main
        */
        return var1;
}

